import * as __WEBPACK_EXTERNAL_MODULE__application_Plugin_mjs__ from "../../application/Plugin.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__schema_templates_SchemaTemplateManagerProvider_mjs__ from "../../schema-templates/SchemaTemplateManagerProvider.mjs";
import * as __WEBPACK_EXTERNAL_MODULE__AdminLayout_mjs__ from "./AdminLayout.mjs";
class AdminLayoutPlugin extends __WEBPACK_EXTERNAL_MODULE__application_Plugin_mjs__.Plugin {
    async afterAdd() {
        await this.app.pm.add(__WEBPACK_EXTERNAL_MODULE__schema_templates_SchemaTemplateManagerProvider_mjs__.RemoteSchemaTemplateManagerPlugin);
    }
    async load() {
        this.app.addComponents({
            AdminLayout: __WEBPACK_EXTERNAL_MODULE__AdminLayout_mjs__.AdminLayout
        });
    }
}
export { AdminLayoutPlugin };
